orte/mca/gpr/replica/gpr_replica_component.c File Reference.TH "orte/mca/gpr/replica/gpr_replica_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/gpr_replica_component.c \- The Open MPI General Purpose Registry - Replica component. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/class/orte_bitmap.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/util/proc_info.h'\fP
.br
\fC#include 'orte/mca/rml/rml.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/gpr_replica.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/api_layer/gpr_replica_api.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/communications/gpr_replica_comm.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/gpr_replica_class_instances.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_close\fP (void)"
.br
.ti -1c
.RI "orte_gpr_base_module_t * \fBorte_gpr_replica_init\fP (bool *allow_multi_user_threads, bool *have_hidden_threads, int *priority)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_module_init\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT mca_gpr_base_component_t \fBmca_gpr_replica_component\fP"
.br
.ti -1c
.RI "static orte_gpr_base_module_t \fBorte_gpr_replica_module\fP"
.br
.ti -1c
.RI "static bool \fBinitialized\fP = false"
.br
.ti -1c
.RI "orte_gpr_replica_t \fBorte_gpr_replica\fP"
.br
.ti -1c
.RI "orte_gpr_replica_globals_t \fBorte_gpr_replica_globals\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI General Purpose Registry - Replica component. 


.SH "Variable Documentation"
.PP 
.SS "OMPI_COMP_EXPORT mca_gpr_base_component_t mca_gpr_replica_component"
.PP
\fBInitial value:\fP
.PP
.nf
 {
    {
    MCA_GPR_BASE_VERSION_1_0_0,

    'replica', 
    ORTE_MAJOR_VERSION,  
    ORTE_MINOR_VERSION,  
    ORTE_RELEASE_VERSION,  
    orte_gpr_replica_open,  
    orte_gpr_replica_close 
    },
    {
    false 
    },
    orte_gpr_replica_init,    
    orte_gpr_replica_finalize 
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
